@import url("https://fonts.googleapis.com/css2?family=Asset&family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=League+Gothic&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "League Gothic", sans-serif;
  --secondary-font: "ASSET", sans-serif;
  --sub-font: "JetBrains Mono", sans-serif;
  --black: hsl(0, 0%, 4%);
  --light-black: hsl(0, 0%, 10%);
  --yellow-gold: hsl(46, 65%, 52%);
  --darker-yellow: hsl(46, 65%, 42%);
  --light-gray: hsla(0, 0%, 97%, 0.7);
  --off-white: hsl(0, 0%, 80%);
  --dark-gray: hsl(0, 0%, 14%);
  --gray: hsl(0, 0%, 44%);
  --gray48: hsla(0, 0%, 97%, 0.48);
  --blue: hsl(212, 100%, 66%);
  --green: hsl(150, 96%, 45%);
  --gold-gradient: linear-gradient(
    90deg,
    #d4af37 0%,
    #d9ba5c 7.14%,
    #dec479 14.29%,
    #e3cf94 21.43%,
    #e9d9ae 28.57%,
    #eee4c7 35.71%,
    #f3eedf 42.86%,
    #f8f8f8 50%,
    #f3eedf 57.14%,
    #eee4c7 64.29%,
    #e9d9ae 71.43%,
    #e3cf94 78.57%,
    #dec479 85.71%,
    #d9ba5c 92.86%,
    #d4af37 100%
  );
  --fw400: 400;
  --fw500: 500;
  --fw700: 700;
  --letter-spacing15: 0.975rem;
  --letter-spacing16: 0.105rem;
  --letter-spacing12: 0.0788rem;
  --width: clamp(46.25rem, 90vw, 68.75rem);
  --line-height18: 1.8;
  --radius2: 0.125rem;
  --transition: all 0.4s ease;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--black);
  font-family: var(--primary-font);
  font-size: 15px;
  width: 100%;
  max-width: 100vw;
  height: 100%;
  color: var(--off-white);
  position: relative;
  font-weight: var(--fw400);
  overflow-x: hidden;
}

header {
  position: fixed;
  z-index: 100;
  background: var(--black);
  padding: 1.5rem 0;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 100vw;
}

.logo-mark {
  display: none;
}

nav {
  width: var(--width);
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
}

.top-ul {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 2.5rem;
}

.top-a {
  text-decoration: none;
  color: var(--light-gray);
  letter-spacing: var(--letter-spacing12);
  font-size: 1.125rem;
}

.top-a:hover {
  text-decoration: underline solid var(--yellow-gold) 0.1875rem;
  color: var(--yellow-gold);
  text-underline-offset: 0.5rem;
}

/* === hamburger menu === */

.hamburger-icon {
  display: none;
  width: 2.5rem;
  height: 2.5rem;
  background: url("./assets/icons/Menu.svg");
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
}

.hamburger-menu {
  position: fixed;
  background: var(--black);
  z-index: 120;
  top: 0;
  right: 0;
  width: clamp(22.5rem, 70vw, 37.5rem);
  display: flex;
  flex-direction: column;
  height: 80vh;
  max-height: 100vh;
  padding: 0rem 1.5rem 5rem 1.5rem;
  border-radius: var(--radius2);
  border-radius: 0.5rem 0 0 0.5rem;
  box-shadow: 0 1.0625rem 3.125rem 0 rgba(163, 163, 163, 0.25);
}

.close-btn {
  width: 2.5rem;
  height: 2.5rem;
  background: url("./assets/icons/close.svg");
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
  margin: 2.5rem 0rem 2.5rem auto;
}

.hamburger-ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  width: 100%;
  padding-top: 5rem;
  border-top: 0.0313rem solid rgba(113, 113, 113, 0.3);
}

.hamburger-ul li {
  cursor: pointer;
  text-transform: uppercase;
  font-size: 1.125rem;
  letter-spacing: var(--letter-spacing12);
}

.hamburger-ul li:hover {
  text-decoration: underline solid var(--yellow-gold) 0.1875rem;
  text-underline-offset: 0.5rem;
  color: var(--yellow-gold);
}

.hamburger-outline-btn {
  width: 100%;
}

.hamburger-container {
  display: flex;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

/* === hero section === */

h1 {
  font-size: 8rem;
  font-family: var(--secondary-font);
  letter-spacing: var(--letter-spacing15);
  background: var(
    --gold-gradient,
    linear-gradient(
      90deg,
      #d4af37 0%,
      #d9ba5c 7.14%,
      #dec479 14.29%,
      #e3cf94 21.43%,
      #e9d9ae 28.57%,
      #eee4c7 35.71%,
      #f3eedf 42.86%,
      #f8f8f8 50%,
      #f3eedf 57.14%,
      #eee4c7 64.29%,
      #e9d9ae 71.43%,
      #e3cf94 78.57%,
      #dec479 85.71%,
      #d9ba5c 92.86%,
      #d4af37 100%
    )
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  mix-blend-mode: color-dodge;
  text-align: center;
  overflow-x: hidden;
  animation-name: h1;
  animation-timing-function: ease-in;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

/* --- animation for the large heading in hero section --- */

@keyframes h1 {
  from {
    opacity: 0.2;
  }
  to {
    opacity: 1;
  }
}

.section-hero__tite {
  text-align: center;
  font-size: 1.5rem;
  font-family: var(--secondary-font);
  letter-spacing: var(--letter-spacing15);
  background: var(
    --gold-gradient,
    linear-gradient(
      90deg,
      #d4af37 0%,
      #d9ba5c 7.14%,
      #dec479 14.29%,
      #e3cf94 21.43%,
      #e9d9ae 28.57%,
      #eee4c7 35.71%,
      #f3eedf 42.86%,
      #f8f8f8 50%,
      #f3eedf 57.14%,
      #eee4c7 64.29%,
      #e9d9ae 71.43%,
      #e3cf94 78.57%,
      #dec479 85.71%,
      #d9ba5c 92.86%,
      #d4af37 100%
    )
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  mix-blend-mode: difference;
  margin-bottom: 0rem;
}

hr {
  width: 4rem;
  height: 0.0625rem;
  border: none;
  background-color: var(--darker-yellow);
  margin: auto;
  animation-name: hero-hr;
  animation-timing-function: ease-in-out;
  animation-duration: 3s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

/* --- animation of the horizontal line --- */

@keyframes hero-hr {
  from {
    width: 4rem;
  }
  to {
    width: 6.875rem;
  }
}

.section-hero__hr {
  width: 10.5rem;
  height: 0.125rem;
}

.section-hero__p {
  font-size: 1.5rem;
  letter-spacing: var(--letter-spacing16);
  line-height: var(--line-height18);
  text-align: center;
  margin-bottom: 2.5rem;
  max-width: 90vw;
}

.cta-btn {
  font-family: var(--sub-font);
  font-size: 1rem;
  font-weight: var(--fw700);
  color: var(--black);
  background: var(--yellow-gold);
  border-radius: var(--radius2);
  border: none;
  padding: 0.5rem 0.9375rem 0.5rem 1.25rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  cursor: pointer;
  transition: var(--transition);
}

.cta-btn:hover {
  background: var(--darker-yellow);
}

.cta-outline-btn {
  font-family: var(--sub-font);
  font-size: 1rem;
  font-weight: var(--fw700);
  color: var(--yellow-gold);
  background: var(--black);
  border-radius: var(--radius2);
  border: 0.0437rem solid var(--yellow-gold);
  padding: 0.5rem 1.25rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  text-transform: uppercase;
  transition: var(--transition);
}

.cta-outline-btn:hover {
  border-radius: 0.125rem;
  border: 0.0437rem solid var(--yellow-gold);
  background: rgba(212, 175, 55, 0.18);
}

.section-hero__btns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
}

.section-hero {
  margin: 6.25rem 0 6.25rem 0;
  background: linear-gradient(0, rgba(0, 0, 0, 100) 15%, rgba(0, 0, 0, 0) 100%),
    url("./assets/texture.png"), url("./assets/hero-img-edited.png");
  background-repeat: no-repeat;
  background-blend-mode: multiply, normal, screen;
  background-position: center;
  background-size: cover;
  overflow-x: hidden;
}

.section-hero__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
  padding-top: 220px;
  width: 100%;
  margin: 0 auto;
}

/* === mouse animation === */

.section-hero__mouse {
  width: 2.5rem;
  height: 2.5rem;
  background-image: url("./assets/mouse.svg");
  background-repeat: no-repeat;
  background-size: contain;
  margin-top: 1.5rem;
  animation-name: mouse;
  animation-duration: 2s;
  animation-timing-function: ease-in;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

/* --- animation of the bouncing mouse --- */

@keyframes mouse {
  from {
    transform: translateY(-2rem);
  }
  to {
    transform: translateY(0);
  }
}

/* === gallery section === */

h2 {
  font-family: var(--secondary-font);
  font-size: 4rem;
  letter-spacing: var(--letter-spacing15);
  background: var(
    --gold-gradient,
    linear-gradient(
      90deg,
      #d4af37 0%,
      #d9ba5c 7.14%,
      #dec479 14.29%,
      #e3cf94 21.43%,
      #e9d9ae 28.57%,
      #eee4c7 35.71%,
      #f3eedf 42.86%,
      #f8f8f8 50%,
      #f3eedf 57.14%,
      #eee4c7 64.29%,
      #e9d9ae 71.43%,
      #e3cf94 78.57%,
      #dec479 85.71%,
      #d9ba5c 92.86%,
      #d4af37 100%
    )
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  mix-blend-mode: color-dodge;
  text-align: center;
  text-transform: uppercase;
  will-change: transform;
}

h3 {
  font-size: 1.5rem;
  color: var(--light-gray);
  letter-spacing: var(--letter-spacing16);
  text-align: center;
  margin: 2.5rem auto 5rem auto;
  line-height: var(--line-height18);
  max-width: 90vw;
}

.section-gallery__hr,
.section-contact__hr {
  animation-name: hr-width;
  animation-timing-function: ease-in-out;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

/* --- animation of the horizontal line --- */

@keyframes hr-width {
  from {
    width: 4rem;
  }
  to {
    width: 11.25rem;
  }
}

.filled-btn {
  font-family: var(--sub-font);
  font-size: 1rem;
  font-weight: var(--fw700);
  color: var(--black);
  background: var(--yellow-gold);
  border-radius: var(--radius2);
  border: none;
  padding: 0.25rem 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  text-transform: uppercase;
  height: 2.25rem;
  transition: var(--transition);
}

.filled-btn:hover {
  background: var(--darker-yellow);
}

.white-outline-btn {
  font-family: var(--sub-font);
  font-size: 1rem;
  font-weight: var(--fw700);
  color: var(--off-white);
  background: transparent;
  border-radius: var(--radius2);
  border: 0.0437rem solid var(--off-white);
  padding: 0.5rem 1.25rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  text-transform: uppercase;
  height: 2.25rem;
  transition: var(--transition);
}

.white-outline-btn:hover {
  border: 0.0437rem solid var(--darker-yellow);
  color: var(--darker-yellow);
}

.section-gallery__btns {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  margin: 2.5rem auto;
}

.section-gallery__images {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.5rem 1.5rem;
  width: var(--width);
  margin: 2.5rem auto;
}

.card-img {
  width: 100%;
  height: 22.5rem;
  background: url("./assets/black-jacket.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: var(--radius2);
  cursor: pointer;
  margin-bottom: 1.5rem;
  transition: var(--transition);
  position: relative;
}

.opacity {
  opacity: 0.6;
}

.card-tag {
  position: absolute;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.25rem 0.75rem;
  font-family: var(--sub-font);
  border: 0.0625rem solid rgba(43, 127, 255, 0.3);
  background: rgba(43, 127, 255, 0.2);
  color: var(--blue);
  top: 1rem;
  right: 1rem;
}

.card-title {
  font-size: 1.125rem;
  letter-spacing: var(--letter-spacing16);
  text-wrap: wrap;
}

.card-price {
  font-family: var(--sub-font);
  font-size: 1.125rem;
  font-weight: var(--fw500);
  color: var(--darker-yellow);
}

.card-title-price {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}

.card-brand {
  font-family: var(--sub-font);
  font-size: 0.9375rem;
  color: var(--light-gray);
  padding: 0.5rem 0;
}

.card-category {
  font-family: var(--sub-font);
  font-size: 0.9375rem;
  color: var(--gray48);
}

.outline-btn-icon {
  gap: 1rem;
  margin: 3.5rem auto;
}

.section-gallery {
  margin-bottom: 5rem;
  position: relative;
  overflow-x: hidden;
  transition: transform 0.8s ease-in;
  transform: translateY(12.5rem);
  background-color: var(--black);
}

.translateY {
  transform: translateY(0);
}

.section-gallery::after {
  content: "";
  width: 20rem;
  height: 20rem;
  position: absolute;
  z-index: -10;
  background: url("./assets/shape1.svg");
  background-repeat: no-repeat;
  mix-blend-mode: color-dodge;
  background-size: contain;
  opacity: 0.28;
  top: 43.75rem;
  right: -5rem;
}

/* === about section === */

.section-about {
  position: relative;
  overflow-x: hidden;
  padding: 5rem 0;
  background: url("./assets/texture.png"), var(--light-black);
  background-blend-mode: difference, multiply;
  background-repeat: no-repeat;
  background-size: cover;
}

.section-about__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2.5rem;
  align-items: start;
  width: var(--width);
  margin: 8.75rem auto 6.25rem auto;
}

.section-about__h2-top {
  position: absolute;
  opacity: 0.31;
  left: -31.25rem;
  transition: left 2.5s ease-in;
}

.left {
  left: -2.5rem;
}

.section-about__h2-bottom {
  position: absolute;
  bottom: 1.5rem;
  opacity: 0.08;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  right: -2.5rem;
}

.section-about__p {
  font-size: 1.125rem;
  letter-spacing: var(--letter-spacing16);
  color: var(--gray48);
}

.span-yellow {
  color: var(--yellow-gold);
}

.section-about__text {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  margin: 5rem 0;
}

.section-about__data {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  width: 100%;
}

.number-subject {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.number {
  color: var(--off-white);
  font-family: var(--sub-font);
  font-size: 2.5rem;
  font-weight: var(--fw700);
}

.subject {
  color: var(--light-gray);
  letter-spacing: var(--letter-spacing16);
  font-size: 1.25rem;
}

.section-about__left {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.section-about__hr {
  margin: 0 auto 0 0;
}

.section-about__right {
  width: 70%;
  aspect-ratio: 9/16;
  background: url("./assets/man-dancing.png");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 0.625rem;
  margin: 0 0 0 auto;
  position: relative;
}

.section-about__right::after {
  content: "";
  width: 6rem;
  height: 6rem;
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(212, 175, 55, 0.1);
  background: rgba(212, 175, 55, 0.05);
  position: absolute;
  z-index: 10;
  top: -3rem;
  left: -3rem;
}

.section-about__right::before {
  content: "";
  width: 8rem;
  height: 8rem;
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(212, 175, 55, 0.1);
  background: rgba(212, 175, 55, 0.05);
  position: absolute;
  z-index: 10;
  bottom: -3rem;
  right: -3rem;
}

/* === contact section === */

.section-contact {
  margin: 6.25rem auto;
  position: relative;
}

.section-contact::after {
  content: "";
  width: 7.5rem;
  height: 7.5rem;
  position: absolute;
  z-index: -10;
  background: url("./assets/shape1.svg");
  background-repeat: no-repeat;
  mix-blend-mode: color-dodge;
  background-size: contain;
  opacity: 0.28;
  bottom: 10%;
  left: 30%;
  animation: pulse 4s infinite alternate ease-in;
}

.section-contact::before {
  content: "";
  width: 11.25rem;
  height: 11.25rem;
  position: absolute;
  z-index: -10;
  background: url("./assets/shape1.svg");
  background-repeat: no-repeat;
  mix-blend-mode: color-dodge;
  background-size: contain;
  opacity: 0.28;
  bottom: 2%;
  left: 33%;
}

/* --- animation of the rotating shape --- */

@keyframes pulse {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(80deg);
  }
}

.section-contact__wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  width: var(--width);
  margin: 5rem auto;
}

.section-contact__left {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2.5rem;
}

.section-contact__icon {
  width: 2.5rem;
  height: 2.5rem;
  background: url("./assets/icons/marker.svg"), rgba(212, 175, 55, 0.1);
  background-repeat: no-repeat;
  background-position: center;
  padding: 0.625rem;
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(212, 175, 55, 0.2);
}

.section-contact__icon2 {
  background: url("./assets/icons/email.svg"), rgba(212, 175, 55, 0.1);
  background-repeat: no-repeat;
  background-position: center;
}

.section-contact__icon3 {
  background: url("./assets/icons/clock.svg"), rgba(212, 175, 55, 0.1);
  background-repeat: no-repeat;
  background-position: center;
}

.section-contact__title {
  font-size: 1.25rem;
  letter-spacing: var(--letter-spacing16);
}

.section-contact__details {
  color: var(--light-gray);
  letter-spacing: var(--letter-spacing12);
  font-size: 1.125rem;
}

.section-contact__note {
  color: var(--gray);
  letter-spacing: var(--letter-spacing12);
}

.title-details {
  display: flex;
  flex-direction: column;
  gap: 0.625rem;
}

.section-contact__item {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 1.5rem;
}

.section-contact__follow {
  font-size: 1.5rem;
  letter-spacing: var(--letter-spacing16);
  margin-top: 2.5rem;
}

.section-contact_social-icon {
  width: 3rem;
  height: 3rem;
  padding: 0.875rem;
  border-radius: 0.375rem;
  background: url("./assets/icons/ig.svg"), rgba(42, 42, 42, 0.3);
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
  transition: var(--transition);
}

.section-contact_social-icon:hover {
  background: url("./assets/icons/ig.svg"), var(--darker-yellow);
  background-repeat: no-repeat;
  background-position: center;
}

.social-icon2 {
  background: url("./assets/icons/x.svg"), rgba(42, 42, 42, 0.3);
  background-repeat: no-repeat;
  background-position: center;
}

.social-icon2:hover {
  background: url("./assets/icons/x.svg"), var(--darker-yellow);
  background-repeat: no-repeat;
  background-position: center;
}

.social-icon3 {
  background: url("./assets/icons/youtube.svg"), rgba(42, 42, 42, 0.3);
  background-repeat: no-repeat;
  background-position: center;
}

.social-icon3:hover {
  background: url("./assets/icons/youtube.svg"), var(--darker-yellow);
  background-repeat: no-repeat;
  background-position: center;
}

.section-contact__socials {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 2rem;
}

form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
  border-radius: 0.375rem;
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(42, 42, 42, 0.2);
  background: rgba(26, 26, 26, 0.5);
  padding: 2.5rem 1.5rem;
}

label {
  font-size: 1rem;
  letter-spacing: var(--letter-spacing12);
  margin: 1.5rem 0 0.625rem 0;
}

input {
  color: var(--off-white);
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(42, 42, 42, 0.3);
  background: rgba(42, 42, 42, 0.3);
  font-family: var(--sub-font);
  font-size: 1rem;
  height: 3.625rem;
  width: 100%;
  padding: 1rem;
}

input:focus {
  outline: 0.0375rem solid var(--yellow-gold);
}

.input__error {
  border-bottom: 0.0625rem solid tomato;
}

.success-msg {
  letter-spacing: var(--letter-spacing12);
  color: var(--darker-yellow);
  font-size: 1.125rem;
  display: flex;
  align-self: center;
  justify-content: center;
}

small {
  margin-top: 0.5rem;
  letter-spacing: var(--letter-spacing12);
  color: tomato;
}

.hide {
  display: none;
}

.block {
  display: block;
}

.flex {
  display: flex;
}

textarea {
  color: var(--off-white);
  border-radius: 0.375rem;
  border: 0.0625rem solid rgba(42, 42, 42, 0.3);
  background: rgba(42, 42, 42, 0.3);
  font-family: var(--sub-font);
  font-size: 1rem;
  height: 11.125rem;
  width: 100%;
  padding: 1rem;
}

textarea:focus {
  outline: 0.0375rem solid var(--yellow-gold);
}

.submit-btn {
  margin: 2.5rem auto;
}

/* === footer === */

footer {
  background: var(--light-black);
  padding: 2.5rem 0;
}

.footer-container {
  width: var(--width);
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: start;
  justify-content: space-between;
  gap: 4rem 2.5rem;
}

.footer-logo {
  display: block;
}

.footer-desc {
  letter-spacing: var(--letter-spacing12);
  margin: 1.5rem 0 2.5rem 0;
  line-height: 1.4;
}

.footer-title {
  font-size: 1.25rem;
  letter-spacing: var(--letter-spacing16);
}

.footer-a {
  text-decoration: none;
  color: var(--light-gray);
}

.footer-ul {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  margin-top: 1.5rem;
}

.footer-ul li {
  color: var(--gray48);
  letter-spacing: var(--letter-spacing12);
  list-style: none;
  cursor: pointer;
}

.footer-a :hover {
  text-decoration: underline solid var(--yellow-gold) 0.1875rem;
  text-underline-offset: 0.5rem;
  color: var(--yellow-gold);
}

.footer-middle,
.footer-right {
  justify-self: center;
}

.footer-bottom__items {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
}

.footer-bottom {
  grid-column-start: 1;
  grid-column-end: 4;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  align-items: center;
  justify-content: center;
}

.footer-item {
  color: var(--gray);
  letter-spacing: var(--letter-spacing12);
}

.footer-bottom__copyright {
  font-size: 0.875rem;
  font-family: var(--sub-font);
  color: var(--gray);
}

/* === responsive === */

@media screen and (min-width: 1100px) {
  .section-hero {
    margin: 6.25rem 0 6.25rem 0;
    background: linear-gradient(
        0,
        rgba(0, 0, 0, 100) 15%,
        rgba(0, 0, 0, 0) 100%
      ),
      url("./assets/texture.png"), url("./assets/hero-img-edited.png");
    background-repeat: no-repeat;
    background-blend-mode: multiply, normal, screen;
    background-position: center;
    background-size: cover, cover, contain;
    overflow-x: hidden;
  }
}

@media screen and (max-width: 50rem) {
  :root {
    --width: 90vw;
  }
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 3rem;
  }
  .section-gallery__images {
    grid-template-columns: 1fr 1fr;
  }

  .section-contact__wrapper {
    grid-template-columns: 1fr;
    gap: 2.5rem;
  }
  form {
    grid-row-start: 1;
  }
  .section-contact__left {
    margin: 0 auto;
  }
  .section-contact__follow {
    text-align: center;
    width: 100%;
  }
  .section-contact__socials {
    margin: 0 auto;
  }
  .section-contact::after {
    left: 0;
  }

  .section-contact::before {
    left: 3%;
  }
}

@media screen and (max-width: 40rem) {
  .top-logo {
    display: none;
  }
  .logo-mark {
    display: block;
    margin: 0 auto 0 0;
  }
  .top-ul {
    display: none;
  }
  .hamburger-icon {
    display: block;
  }
  .section-hero__btns {
    flex-direction: column;
  }

  h1 {
    font-size: 10vw;
  }
  h2 {
    font-size: 6vw;
  }
  h3 {
    width: var(--width);
    margin: 2.5rem auto 5rem auto;
  }
  .section-gallery__btns {
    width: var(--width);
  }
  .section-gallery__images {
    grid-template-columns: 1fr;
  }

  .section-gallery::after {
    content: "";
    width: 12.5rem;
    height: 12.5rem;
    top: 43.75rem;
    right: -2.5rem;
  }

  .section-about__container {
    grid-template-columns: 60% 40%;
    gap: 0;
  }
  .footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .footer-logo {
    margin: auto;
  }
  .footer-desc {
    text-align: center;
  }
  .section-contact__socials {
    justify-content: center;
  }
}

@media screen and (max-width: 25rem) {
  body {
    min-width: 100vw;
  }
  .section-hero__container {
    padding-top: 1.5rem;
  }
  .section-about__container {
    grid-template-columns: 1fr;
  }
  .section-about__right {
    grid-row-start: 1;
  }
  .footer-ul {
    gap: 1rem;
  }
}
